Subject: bug#1367: 23.0.60; Mailto service won't work

From: Harald Hanche-Olsen <[email-masked]>
Date: Tue, 18 Nov 2008 10:30:33 +0100 (CET)

I have set the mailto handler to be emacs. If I run the command

open mailto:[email-masked]

in a terminal (or click on a mailto link in firefox), emacs is
activated (i.e., it comes to the foreground), but nothing else
happens.

At the very least, I would have expected a <ns-spi-service-call> event
to be generated, but C-h l shows no such event. (In contrast, dragging
selected text from a terminal window onto emacs works as expected, and
leaves <ns-drag-text> in the event history.)

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin9.5.0, NS apple-appkit-949.35)
 of 2008-11-14 on macknife
Windowing system distributor `Apple', version 97.112.112.108.101.45.97.112.112.107.105.116.45.57.52.57.46.51.53
configured using `configure  '--with-ns' '--without-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
(irrelevant, apart from the missing <ns-spi-service-call>)